{{- $currentPage := .currentPage -}}
{{- $context     := .context -}}
{{- $ctxglobal   := .ctxglobal -}}


{{/* START if menu in menu-principal.yml */}}
{{- if $ctxglobal -}}

<ul role="list" class="mb-0">
  {{/* START if has children attribute */}}
  {{- with $context.children -}}
    {{- range . -}}
      {{- if .children -}}
        <li class="context-Sections">
          {{- $ctxglobal.Scratch.Set "submenus" (slice "") -}}
          {{- range .children -}}
            {{- $ctxglobal.Scratch.Add "submenus" .target -}}
          {{- end -}}
          {{ $cond := gt (len (intersect (slice $ctxglobal.RelPermalink) ($ctxglobal.Scratch.Get "submenus"))) 0 }}
          <details class="ml-0" {{ if or $cond (eq $ctxglobal.RelPermalink .target) }}open{{ end }}>
            <summary class="rounded{{ if eq $ctxglobal.RelPermalink .target }} active{{ end }} relative"><!--
            --><span class="inline-flex">
                {{- with .icon -}}
                <span class="icon | mr-1 select-none lg:pt-0 text-lg lg:text-base" aria-hidden="true">{{ . }}</span>
                {{- end -}}
                <a href="{{ .target }}">
                  <span class="{{ if eq $ctxglobal.RelPermalink .target }}active{{ end }}">{{ .title }}</span>
                </a>
              </span>
            </summary>
            {{- partial "sidebar/sidebar-nav-recursive.html" (dict "context" . "currentPage" . "ctxglobal" $ctxglobal) -}}
          </details>
        </li>
      {{- else -}}
        <li class="context-RegularPages relative{{ if eq $ctxglobal.RelPermalink .target }} active{{ end }}">
          <a href="{{ .target }}" class="flex">
            {{- with .icon -}}
            <span class="icon | mr-1 select-none flex-min" aria-hidden="true">{{ . }}</span>
            {{- end -}}
            <span class="inline-flex{{ if eq $ctxglobal.RelPermalink .target }} active{{ end }}">{{ .title }}</span>
          </a>
        </li>
      {{- end -}}
    {{- end }}
  {{- else -}}
    {{/* START if has subpages but no children attribute */}}
    {{ $pagespath := cond (not (fileExists "content/pages")) "" "pages" }}
    {{- with ($ctxglobal.Site.GetPage (printf "%s%s" $pagespath $context.target)).Pages -}}
      {{- range . -}}
        {{- if .Pages -}}
          <li class="context-Sections">
            <details class="ml-0" {{ if eq .CurrentSection $ctxglobal | or ($ctxglobal.IsDescendant .CurrentSection) }}open{{ end }}>
              <summary class="rounded{{ if eq .CurrentSection $currentPage }} active{{ end }} relative"><!--
              --><span class="inline-flex">
                  {{ with .CurrentSection.Params.Icon }}
                  <span class="icon | mr-1 select-none lg:pt-0 text-lg lg:text-base" aria-hidden="true">{{ . }}</span>
                  {{ end }}
                  <a href="{{ .Permalink }}">
                    <span class="{{ if eq .CurrentSection $ctxglobal }} active{{ end }}">{{ .CurrentSection.Title }}</span>
                  </a>
                </span>
              </summary>
              {{- with .Pages -}}
                <ul role="list" class="mb-0">
                {{- range . -}}
                  {{ partial "sidebar/sidebar-nav-recursive.html" (dict "context" . "currentPage" $currentPage) }}
                {{- end -}}
                </ul>
              {{- end -}}
            </details>
          </li>
        {{- else -}}
          {{- template "navlink" (dict "value" . "currentPage" $currentPage) -}}
        {{- end -}}
      {{- end -}}
    {{- end -}}
    {{/* END if has subpages but no children attribute */}}
  {{- end }}
  {{/* END if has children attribute */}}
</ul>
{{- else -}}
  {{/* START loop by weight */}}
  <ul role="list" class="mb-0">
  {{ range .context.Sections.ByWeight }}
    {{- if ne .Params.menuSection false }}
    <li class="context-Sections">
      <details class="ml-0" {{ if eq .CurrentSection $currentPage | or ($currentPage.IsDescendant .CurrentSection) }}open{{ end }}>
        <summary class="rounded relative{{ if eq .CurrentSection $currentPage }} active{{ end }}"><!--
        --><span class="inline-flex">
            {{ with .CurrentSection.Params.Icon }}
            <span class="icon | mr-1 select-none lg:pt-0 text-lg lg:text-base" aria-hidden="true">{{ . }}</span>
            {{ end }}
            <a href="{{ .Permalink }}">
              <span class="{{ if eq .CurrentSection $currentPage }} active{{ end }}">{{ .CurrentSection.Title }}</span>
            </a>
          </span>
        </summary>
        {{ partial "sidebar/sidebar-nav-recursive.html" (dict "context" . "currentPage" $currentPage) }}
      </details>
    </li>
    {{- else }}
      {{- template "navlink" (dict "value" . "currentPage" $currentPage) -}}
    {{- end }}
  {{- end -}}
  {{- range .context.RegularPages }}
    {{- template "navlink" (dict "value" . "currentPage" $currentPage) -}}
  {{ end -}}
  {{/* END loop by weight */}}
  </ul>
{{- end }}
{{/* END if menu in menu-principal.yml */}}

{{- define "navlink" -}}
  {{- $currentPage := .currentPage -}}
  <li class="context-RegularPages relative{{ if eq .value $currentPage }} active{{ end }}">
    <a href="{{ .value.Permalink }}" class="flex">
      {{- with .value.Params.Icon -}}
      <span class="icon | mr-1 select-none flex-min" aria-hidden="true">{{ . }}</span>
      {{- end -}}
      <span class="inline-flex{{ if eq . $currentPage }} active{{ end }}">{{ .value.Title }}</span>
    </a>
  </li>
{{- end -}}
